Bug 1123032 - iwlwifi with intel wireless 7260 stops working randomly and after movement - no duplicate, dmesg errors unknown to the internet [NEEDINFO]
Summary: iwlwifi with intel wireless 7260 stops working randomly and after movement - ...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 20
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: fedora-kernel-wireless-iwl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-24 16:39 UTC by lucifers_revenge
Modified: 2014-12-10 14:58 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-10 14:58:41 UTC
jforbes: needinfo?


Attachments (Terms of Use)
output of $ tail /var/log/messages (7.86 KB, text/plain)
2014-07-24 16:39 UTC, lucifers_revenge
no flags Details

Description lucifers_revenge 2014-07-24 16:39:08 UTC
Created attachment 920622 [details]
output of $ tail /var/log/messages

Description of problem:

my lenovo t440s laptop with intel wireless 7260 dual band chip randomly disconnects the wireless connection, either in b/g/n mode/band or a/n/ac of my router.
strangly, this happens surely, if i move my laptop to another place or randomly after an unspecific amount of time.
there's no reconnection possible. i've to reboot the system.
$ modrobe -r iwlwifi 
and 
$ modprobe iwlwifi 
have no effect at all.


Version-Release number of selected component (if applicable):

driver version ($ dmesg | grep loaded\ firmware): iwlwifi 0000:03:00.0: loaded firmware version 23.214.9.0 op_mode iwlmvm 
firmware version ($ modinfo iwlwifi): iwlwifi-7260-8.ucode


i attach an abstract of /var/log/messages


How reproducible: 100%


Steps to Reproduce:
1. move the laptop with wireless connection established
2. 
3.

Actual results:


Expected results:


Additional info:

dmesg output:


[   29.770259] ACPI Warning: \_SB_.PCI0.PEG_.VID_._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20140214/nsarguments-95)
[   29.770665] ACPI Warning: \_SB_.PCI0.PEG_.VID_._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20140214/nsarguments-95)
[   55.669186] usb 2-7: USB disconnect, device number 3
[   55.980537] usb 2-7: new full-speed USB device number 5 using xhci_hcd
[   56.145559] usb 2-7: New USB device found, idVendor=8087, idProduct=07dc
[   56.145564] usb 2-7: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[   56.161534] Bluetooth: hci0: read Intel version: 370710018002030d00
[   56.161691] Bluetooth: hci0: Intel Bluetooth firmware file: intel/ibt-hw-37.7.10-fw-1.80.2.3.d.bseq
[   56.277659] Bluetooth: hci0: Intel Bluetooth firmware patch completed and activated
[  121.708926] usb 2-7: USB disconnect, device number 5
[  122.045264] usb 2-7: new full-speed USB device number 6 using xhci_hcd
[  122.210648] usb 2-7: New USB device found, idVendor=8087, idProduct=07dc
[  122.210654] usb 2-7: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[  122.225250] Bluetooth: hci0: read Intel version: 370710018002030d00
[  122.225425] Bluetooth: hci0: Intel Bluetooth firmware file: intel/ibt-hw-37.7.10-fw-1.80.2.3.d.bseq
[  122.404379] Bluetooth: hci0: Intel Bluetooth firmware patch completed and activated
[  151.544254] iwlwifi 0000:03:00.0: Error sending MAC_CONTEXT_CMD: enqueue_hcmd failed: -5
[  151.544261] iwlwifi 0000:03:00.0: Failed to send MAC context (action:2): -5
[  151.544265] iwlwifi 0000:03:00.0: failed to update MAC xx:xx:xx:xx:xx:xx
[  151.545427] wlp3s0: deauthenticating from xx:xx:xx:xx:xx:xx by local choice (Reason: 3=DEAUTH_LEAVING)
[  151.561945] iwlwifi 0000:03:00.0: Error sending MCAST_FILTER_CMD: enqueue_hcmd failed: -5
[  151.561948] iwlwifi 0000:03:00.0: mcast filter cmd error. ret=-5
[  151.579667] iwlwifi 0000:03:00.0: Error sending TXPATH_FLUSH: enqueue_hcmd failed: -5
[  151.579670] iwlwifi 0000:03:00.0: Failed to send flush command (-5)
[  151.579672] iwlwifi 0000:03:00.0: Couldn't flush the AGG queue
[  151.597342] ------------[ cut here ]------------
[  151.597355] WARNING: CPU: 1 PID: 1289 at drivers/net/wireless/iwlwifi/pcie/trans.c:1163 iwl_trans_pcie_grab_nic_access+0xee/0x100 [iwlwifi]()
[  151.597356] Timeout waiting for hardware access (CSR_GP_CNTRL 0xffffffff)
[  151.597357] Modules linked in: ccm ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep arc4 iTCO_wdt iTCO_vendor_support rtsx_pci_sdmmc rtsx_pci_ms mmc_core memstick iwlmvm mac80211 snd_hda_codec_realtek snd_hda_codec_hdmi snd_hda_codec_generic x86_pkg_temp_thermal coretemp kvm uvcvideo microcode videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media i2c_i801 iwlwifi snd_hda_intel snd_hda_controller snd_hda_codec snd_hwdep btusb cfg80211 snd_seq rtsx_pci serio_raw snd_seq_device snd_pcm
[  151.597377]  lpc_ich bluetooth snd_timer shpchp mfd_core thinkpad_acpi mei_me snd mei soundcore rfkill dm_crypt crct10dif_pclmul crc32_pclmul crc32c_intel nouveau i915 ghash_clmulni_intel mxm_wmi ttm i2c_algo_bit drm_kms_helper drm e1000e ptp pps_core i2c_core wmi video
[  151.597390] CPU: 1 PID: 1289 Comm: wpa_supplicant Not tainted 3.15.6-200.fc20.x86_64 #1
[  151.597391] Hardware name: LENOVO 20ARS0XL00/20ARS0XL00, BIOS GJET67WW (2.17 ) 12/10/2013
[  151.597392]  0000000000000000 00000000a1d499f5 ffff8800a2cb7560 ffffffff816ef48e
[  151.597393]  ffff8800a2cb75a8 ffff8800a2cb7598 ffffffff8108933d ffff88032b4f0000
[  151.597395]  ffff88032b4f3258 ffff8800a2cb7640 0000000000000000 000000000080a000
[  151.597396] Call Trace:
[  151.597402]  [<ffffffff816ef48e>] dump_stack+0x45/0x56
[  151.597404]  [<ffffffff8108933d>] warn_slowpath_common+0x7d/0xa0
[  151.597406]  [<ffffffff810893bc>] warn_slowpath_fmt+0x5c/0x80
[  151.597411]  [<ffffffffa048181e>] iwl_trans_pcie_grab_nic_access+0xee/0x100 [iwlwifi]
[  151.597414]  [<ffffffffa0475399>] iwl_write_prph+0x39/0x80 [iwlwifi]
[  151.597418]  [<ffffffffa047f06b>] iwl_trans_pcie_txq_disable+0x6b/0x160 [iwlwifi]
[  151.597424]  [<ffffffffa073ddf1>] iwl_mvm_sta_tx_agg_flush+0xc1/0x100 [iwlmvm]
[  151.597427]  [<ffffffffa0732f59>] iwl_mvm_mac_ampdu_action+0x219/0x340 [iwlmvm]
[  151.597431]  [<ffffffffa073381f>] ? iwl_mvm_mac_tx+0xaf/0x1b0 [iwlmvm]
[  151.597440]  [<ffffffffa06a6cab>] ___ieee80211_stop_tx_ba_session+0x29b/0x4c0 [mac80211]
[  151.597446]  [<ffffffffa06a74e7>] __ieee80211_stop_tx_ba_session+0x37/0x50 [mac80211]
[  151.597452]  [<ffffffffa06a5995>] ieee80211_sta_tear_down_BA_sessions+0x45/0x70 [mac80211]
[  151.597457]  [<ffffffffa069d34c>] __sta_info_destroy_part1+0x4c/0x210 [mac80211]
[  151.597463]  [<ffffffffa06a033c>] __sta_info_flush+0x15c/0x1c0 [mac80211]
[  151.597471]  [<ffffffffa06dc012>] ieee80211_set_disassoc+0xb2/0x3f0 [mac80211]
[  151.597479]  [<ffffffffa06e052b>] ieee80211_mgd_deauth+0xfb/0x280 [mac80211]
[  151.597486]  [<ffffffffa06b2b38>] ieee80211_deauth+0x18/0x20 [mac80211]
[  151.597496]  [<ffffffffa04eebce>] cfg80211_mlme_deauth+0x9e/0x150 [cfg80211]
[  151.597502]  [<ffffffffa04d64c3>] nl80211_deauthenticate+0xe3/0x140 [cfg80211]
[  151.597506]  [<ffffffff8161388d>] genl_family_rcv_msg+0x1cd/0x400
[  151.597509]  [<ffffffff81613ac0>] ? genl_family_rcv_msg+0x400/0x400
[  151.597510]  [<ffffffff81613b51>] genl_rcv_msg+0x91/0xd0
[  151.597512]  [<ffffffff81611b19>] netlink_rcv_skb+0xa9/0xc0
[  151.597514]  [<ffffffff81612018>] genl_rcv+0x28/0x40
[  151.597515]  [<ffffffff816110e3>] netlink_unicast+0x103/0x210
[  151.597517]  [<ffffffff81611520>] netlink_sendmsg+0x330/0x770
[  151.597520]  [<ffffffff815c61cc>] sock_sendmsg+0x9c/0xe0
[  151.597522]  [<ffffffff81097d83>] ? __sigqueue_free.part.11+0x33/0x40
[  151.597524]  [<ffffffff815c5eae>] ? move_addr_to_kernel.part.19+0x1e/0x60
[  151.597525]  [<ffffffff815c6623>] ___sys_sendmsg+0x3c3/0x3d0
[  151.597528]  [<ffffffff8109b8e6>] ? __set_current_blocked+0x36/0x60
[  151.597529]  [<ffffffff8109b99b>] ? signal_delivered+0x6b/0xa0
[  151.597532]  [<ffffffff8101eb8a>] ? __restore_xstate_sig+0x9a/0x540
[  151.597533]  [<ffffffff810985eb>] ? recalc_sigpending+0x1b/0x50
[  151.597535]  [<ffffffff815c7521>] __sys_sendmsg+0x51/0x90
[  151.597537]  [<ffffffff815c7572>] SyS_sendmsg+0x12/0x20
[  151.597539]  [<ffffffff816ff4e9>] system_call_fastpath+0x16/0x1b
[  151.597540] ---[ end trace b3003d510e177c9b ]---
[  151.632601] iwlwifi 0000:03:00.0: Error sending ADD_STA: enqueue_hcmd failed: -5
[  151.632605] wlp3s0: HW problem - can not stop rx aggregation for 44:94:fc:36:3a:23 tid 0
[  151.650132] iwlwifi 0000:03:00.0: Error sending ADD_STA_KEY: enqueue_hcmd failed: -5
[  151.650135] wlp3s0: failed to remove key (0, 44:94:fc:36:3a:23) from hardware (-5)
[  151.667765] iwlwifi 0000:03:00.0: Error sending REPLY_BEACON_FILTERING_CMD: enqueue_hcmd failed: -5
[  151.667771] ------------[ cut here ]------------
[  151.667782] WARNING: CPU: 1 PID: 1289 at drivers/net/wireless/iwlwifi/mvm/mac80211.c:1718 iwl_mvm_mac_sta_state+0x242/0x2a0 [iwlmvm]()
[  151.667783] Modules linked in: ccm ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep arc4 iTCO_wdt iTCO_vendor_support rtsx_pci_sdmmc rtsx_pci_ms mmc_core memstick iwlmvm mac80211 snd_hda_codec_realtek snd_hda_codec_hdmi snd_hda_codec_generic x86_pkg_temp_thermal coretemp kvm uvcvideo microcode videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media i2c_i801 iwlwifi snd_hda_intel snd_hda_controller snd_hda_codec snd_hwdep btusb cfg80211 snd_seq rtsx_pci serio_raw snd_seq_device snd_pcm
[  151.667811]  lpc_ich bluetooth snd_timer shpchp mfd_core thinkpad_acpi mei_me snd mei soundcore rfkill dm_crypt crct10dif_pclmul crc32_pclmul crc32c_intel nouveau i915 ghash_clmulni_intel mxm_wmi ttm i2c_algo_bit drm_kms_helper drm e1000e ptp pps_core i2c_core wmi video
[  151.667825] CPU: 1 PID: 1289 Comm: wpa_supplicant Tainted: G        W     3.15.6-200.fc20.x86_64 #1
[  151.667826] Hardware name: LENOVO 20ARS0XL00/20ARS0XL00, BIOS GJET67WW (2.17 ) 12/10/2013
[  151.667827]  0000000000000000 00000000a1d499f5 ffff8800a2cb7748 ffffffff816ef48e
[  151.667829]  0000000000000000 ffff8800a2cb7780 ffffffff8108933d 0000000000000000
[  151.667831]  0000000000000004 0000000000000003 ffff88032ab23318 ffff88032c791818
[  151.667833] Call Trace:
[  151.667838]  [<ffffffff816ef48e>] dump_stack+0x45/0x56
[  151.667841]  [<ffffffff8108933d>] warn_slowpath_common+0x7d/0xa0
[  151.667843]  [<ffffffff8108946a>] warn_slowpath_null+0x1a/0x20
[  151.667847]  [<ffffffffa07319c2>] iwl_mvm_mac_sta_state+0x242/0x2a0 [iwlmvm]
[  151.667866]  [<ffffffffa069f7c3>] sta_info_move_state+0xf3/0x6a0 [mac80211]
[  151.667872]  [<ffffffffa069fdcb>] __sta_info_destroy_part2+0x5b/0x2a0 [mac80211]
[  151.667878]  [<ffffffffa06a02f3>] __sta_info_flush+0x113/0x1c0 [mac80211]
[  151.667888]  [<ffffffffa06dc012>] ieee80211_set_disassoc+0xb2/0x3f0 [mac80211]
[  151.667896]  [<ffffffffa06e052b>] ieee80211_mgd_deauth+0xfb/0x280 [mac80211]
[  151.667903]  [<ffffffffa06b2b38>] ieee80211_deauth+0x18/0x20 [mac80211]
[  151.667913]  [<ffffffffa04eebce>] cfg80211_mlme_deauth+0x9e/0x150 [cfg80211]
[  151.667921]  [<ffffffffa04d64c3>] nl80211_deauthenticate+0xe3/0x140 [cfg80211]
[  151.667925]  [<ffffffff8161388d>] genl_family_rcv_msg+0x1cd/0x400
[  151.667928]  [<ffffffff81613ac0>] ? genl_family_rcv_msg+0x400/0x400
[  151.667929]  [<ffffffff81613b51>] genl_rcv_msg+0x91/0xd0
[  151.667931]  [<ffffffff81611b19>] netlink_rcv_skb+0xa9/0xc0
[  151.667933]  [<ffffffff81612018>] genl_rcv+0x28/0x40
[  151.667934]  [<ffffffff816110e3>] netlink_unicast+0x103/0x210
[  151.667936]  [<ffffffff81611520>] netlink_sendmsg+0x330/0x770
[  151.667938]  [<ffffffff815c61cc>] sock_sendmsg+0x9c/0xe0
[  151.667940]  [<ffffffff81097d83>] ? __sigqueue_free.part.11+0x33/0x40
[  151.667942]  [<ffffffff815c5eae>] ? move_addr_to_kernel.part.19+0x1e/0x60
[  151.667943]  [<ffffffff815c6623>] ___sys_sendmsg+0x3c3/0x3d0
[  151.667945]  [<ffffffff8109b8e6>] ? __set_current_blocked+0x36/0x60
[  151.667947]  [<ffffffff8109b99b>] ? signal_delivered+0x6b/0xa0
[  151.667950]  [<ffffffff8101eb8a>] ? __restore_xstate_sig+0x9a/0x540
[  151.667951]  [<ffffffff810985eb>] ? recalc_sigpending+0x1b/0x50
[  151.667953]  [<ffffffff815c7521>] __sys_sendmsg+0x51/0x90
[  151.667955]  [<ffffffff815c7572>] SyS_sendmsg+0x12/0x20
[  151.667958]  [<ffffffff816ff4e9>] system_call_fastpath+0x16/0x1b
[  151.667959] ---[ end trace b3003d510e177c9c ]---
[  151.685550] iwlwifi 0000:03:00.0: Error sending TXPATH_FLUSH: enqueue_hcmd failed: -5
[  151.685554] iwlwifi 0000:03:00.0: Failed to send flush command (-5)
[  151.685559] ------------[ cut here ]------------
[  151.685572] WARNING: CPU: 1 PID: 1289 at net/mac80211/sta_info.c:902 __sta_info_destroy_part2+0x1c5/0x2a0 [mac80211]()
[  151.685576] Modules linked in: ccm ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep arc4 iTCO_wdt iTCO_vendor_support rtsx_pci_sdmmc rtsx_pci_ms mmc_core memstick iwlmvm mac80211 snd_hda_codec_realtek snd_hda_codec_hdmi snd_hda_codec_generic x86_pkg_temp_thermal coretemp kvm uvcvideo microcode videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media i2c_i801 iwlwifi snd_hda_intel snd_hda_controller snd_hda_codec snd_hwdep btusb cfg80211 snd_seq rtsx_pci serio_raw snd_seq_device snd_pcm
[  151.685627]  lpc_ich bluetooth snd_timer shpchp mfd_core thinkpad_acpi mei_me snd mei soundcore rfkill dm_crypt crct10dif_pclmul crc32_pclmul crc32c_intel nouveau i915 ghash_clmulni_intel mxm_wmi ttm i2c_algo_bit drm_kms_helper drm e1000e ptp pps_core i2c_core wmi video
[  151.685646] CPU: 1 PID: 1289 Comm: wpa_supplicant Tainted: G        W     3.15.6-200.fc20.x86_64 #1
[  151.685650] Hardware name: LENOVO 20ARS0XL00/20ARS0XL00, BIOS GJET67WW (2.17 ) 12/10/2013
[  151.685652]  0000000000000000 00000000a1d499f5 ffff8800a2cb77f8 ffffffff816ef48e
[  151.685654]  0000000000000000 ffff8800a2cb7830 ffffffff8108933d ffff880320578000
[  151.685657]  ffff88032c790620 ffff88032ab228c0 ffff88032ab228c0 00000000fffffffb
[  151.685660] Call Trace:
[  151.685666]  [<ffffffff816ef48e>] dump_stack+0x45/0x56
[  151.685669]  [<ffffffff8108933d>] warn_slowpath_common+0x7d/0xa0
[  151.685671]  [<ffffffff8108946a>] warn_slowpath_null+0x1a/0x20
[  151.685681]  [<ffffffffa069ff35>] __sta_info_destroy_part2+0x1c5/0x2a0 [mac80211]
[  151.685698]  [<ffffffffa06a02f3>] __sta_info_flush+0x113/0x1c0 [mac80211]
[  151.685711]  [<ffffffffa06dc012>] ieee80211_set_disassoc+0xb2/0x3f0 [mac80211]
[  151.685729]  [<ffffffffa06e052b>] ieee80211_mgd_deauth+0xfb/0x280 [mac80211]
[  151.685739]  [<ffffffffa06b2b38>] ieee80211_deauth+0x18/0x20 [mac80211]
[  151.685753]  [<ffffffffa04eebce>] cfg80211_mlme_deauth+0x9e/0x150 [cfg80211]
[  151.685765]  [<ffffffffa04d64c3>] nl80211_deauthenticate+0xe3/0x140 [cfg80211]
[  151.685771]  [<ffffffff8161388d>] genl_family_rcv_msg+0x1cd/0x400
[  151.685775]  [<ffffffff81613ac0>] ? genl_family_rcv_msg+0x400/0x400
[  151.685777]  [<ffffffff81613b51>] genl_rcv_msg+0x91/0xd0
[  151.685780]  [<ffffffff81611b19>] netlink_rcv_skb+0xa9/0xc0
[  151.685783]  [<ffffffff81612018>] genl_rcv+0x28/0x40
[  151.685786]  [<ffffffff816110e3>] netlink_unicast+0x103/0x210
[  151.685789]  [<ffffffff81611520>] netlink_sendmsg+0x330/0x770
[  151.685793]  [<ffffffff815c61cc>] sock_sendmsg+0x9c/0xe0
[  151.685797]  [<ffffffff81097d83>] ? __sigqueue_free.part.11+0x33/0x40
[  151.685800]  [<ffffffff815c5eae>] ? move_addr_to_kernel.part.19+0x1e/0x60
[  151.685803]  [<ffffffff815c6623>] ___sys_sendmsg+0x3c3/0x3d0
[  151.685807]  [<ffffffff8109b8e6>] ? __set_current_blocked+0x36/0x60
[  151.685810]  [<ffffffff8109b99b>] ? signal_delivered+0x6b/0xa0
[  151.685814]  [<ffffffff8101eb8a>] ? __restore_xstate_sig+0x9a/0x540
[  151.685817]  [<ffffffff810985eb>] ? recalc_sigpending+0x1b/0x50
[  151.685822]  [<ffffffff815c7521>] __sys_sendmsg+0x51/0x90
[  151.685825]  [<ffffffff815c7572>] SyS_sendmsg+0x12/0x20
[  151.685828]  [<ffffffff816ff4e9>] system_call_fastpath+0x16/0x1b
[  151.685830] ---[ end trace b3003d510e177c9d ]---
[  151.703416] iwlwifi 0000:03:00.0: Error sending MAC_CONTEXT_CMD: enqueue_hcmd failed: -5
[  151.703424] iwlwifi 0000:03:00.0: Failed to send MAC context (action:2): -5
[  151.703431] iwlwifi 0000:03:00.0: failed to update MAC xx:xx:xx:xx:xx:xx
[  151.720897] iwlwifi 0000:03:00.0: Error sending REPLY_SF_CFG_CMD: enqueue_hcmd failed: -5
[  151.720901] ------------[ cut here ]------------
[  151.720913] WARNING: CPU: 1 PID: 1289 at drivers/net/wireless/iwlwifi/mvm/mac80211.c:1300 iwl_mvm_bss_info_changed+0x54f/0x560 [iwlmvm]()
[  151.720914] Failed to update SF upon disassociation
[  151.720915] Modules linked in: ccm ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep arc4 iTCO_wdt iTCO_vendor_support rtsx_pci_sdmmc rtsx_pci_ms mmc_core memstick iwlmvm mac80211 snd_hda_codec_realtek snd_hda_codec_hdmi snd_hda_codec_generic x86_pkg_temp_thermal coretemp kvm uvcvideo microcode videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media i2c_i801 iwlwifi snd_hda_intel snd_hda_controller snd_hda_codec snd_hwdep btusb cfg80211 snd_seq rtsx_pci serio_raw snd_seq_device snd_pcm
[  151.720951]  lpc_ich bluetooth snd_timer shpchp mfd_core thinkpad_acpi mei_me snd mei soundcore rfkill dm_crypt crct10dif_pclmul crc32_pclmul crc32c_intel nouveau i915 ghash_clmulni_intel mxm_wmi ttm i2c_algo_bit drm_kms_helper drm e1000e ptp pps_core i2c_core wmi video
[  151.720970] CPU: 1 PID: 1289 Comm: wpa_supplicant Tainted: G        W     3.15.6-200.fc20.x86_64 #1
[  151.720971] Hardware name: LENOVO 20ARS0XL00/20ARS0XL00, BIOS GJET67WW (2.17 ) 12/10/2013
[  151.720973]  0000000000000000 00000000a1d499f5 ffff8800a2cb77b8 ffffffff816ef48e
[  151.720976]  ffff8800a2cb7800 ffff8800a2cb77f0 ffffffff8108933d ffff88032ab23318
[  151.720979]  ffff88032c7917e0 000000000000209f ffff88032c791818 ffff88032c7917e8
[  151.720981] Call Trace:
[  151.720988]  [<ffffffff816ef48e>] dump_stack+0x45/0x56
[  151.720992]  [<ffffffff8108933d>] warn_slowpath_common+0x7d/0xa0
[  151.720994]  [<ffffffff810893bc>] warn_slowpath_fmt+0x5c/0x80
[  151.721002]  [<ffffffffa073375f>] iwl_mvm_bss_info_changed+0x54f/0x560 [iwlmvm]
[  151.721014]  [<ffffffffa069bb93>] ieee80211_bss_info_change_notify+0x93/0x1b0 [mac80211]
[  151.721030]  [<ffffffffa06dc168>] ieee80211_set_disassoc+0x208/0x3f0 [mac80211]
[  151.721043]  [<ffffffffa06e052b>] ieee80211_mgd_deauth+0xfb/0x280 [mac80211]
[  151.721054]  [<ffffffffa06b2b38>] ieee80211_deauth+0x18/0x20 [mac80211]
[  151.721069]  [<ffffffffa04eebce>] cfg80211_mlme_deauth+0x9e/0x150 [cfg80211]
[  151.721081]  [<ffffffffa04d64c3>] nl80211_deauthenticate+0xe3/0x140 [cfg80211]
[  151.721088]  [<ffffffff8161388d>] genl_family_rcv_msg+0x1cd/0x400
[  151.721092]  [<ffffffff81613ac0>] ? genl_family_rcv_msg+0x400/0x400
[  151.721095]  [<ffffffff81613b51>] genl_rcv_msg+0x91/0xd0
[  151.721097]  [<ffffffff81611b19>] netlink_rcv_skb+0xa9/0xc0
[  151.721100]  [<ffffffff81612018>] genl_rcv+0x28/0x40
[  151.721103]  [<ffffffff816110e3>] netlink_unicast+0x103/0x210
[  151.721106]  [<ffffffff81611520>] netlink_sendmsg+0x330/0x770
[  151.721109]  [<ffffffff815c61cc>] sock_sendmsg+0x9c/0xe0
[  151.721114]  [<ffffffff81097d83>] ? __sigqueue_free.part.11+0x33/0x40
[  151.721116]  [<ffffffff815c5eae>] ? move_addr_to_kernel.part.19+0x1e/0x60
[  151.721119]  [<ffffffff815c6623>] ___sys_sendmsg+0x3c3/0x3d0
[  151.721123]  [<ffffffff8109b8e6>] ? __set_current_blocked+0x36/0x60
[  151.721125]  [<ffffffff8109b99b>] ? signal_delivered+0x6b/0xa0
[  151.721129]  [<ffffffff8101eb8a>] ? __restore_xstate_sig+0x9a/0x540
[  151.721132]  [<ffffffff810985eb>] ? recalc_sigpending+0x1b/0x50
[  151.721135]  [<ffffffff815c7521>] __sys_sendmsg+0x51/0x90
[  151.721138]  [<ffffffff815c7572>] SyS_sendmsg+0x12/0x20
[  151.721142]  [<ffffffff816ff4e9>] system_call_fastpath+0x16/0x1b
[  151.721144] ---[ end trace b3003d510e177c9e ]---
[  151.738612] iwlwifi 0000:03:00.0: Error sending REMOVE_STA: enqueue_hcmd failed: -5
[  151.738619] iwlwifi 0000:03:00.0: Failed to remove station. Id=0
[  151.738625] iwlwifi 0000:03:00.0: failed to remove AP station
[  151.756091] iwlwifi 0000:03:00.0: Error sending TIME_QUOTA_CMD: enqueue_hcmd failed: -5
[  151.756095] iwlwifi 0000:03:00.0: Failed to send quota: -5
[  151.756097] iwlwifi 0000:03:00.0: failed to update quotas
[  151.773730] iwlwifi 0000:03:00.0: Error sending MAC_CONTEXT_CMD: enqueue_hcmd failed: -5
[  151.773733] iwlwifi 0000:03:00.0: Failed to send MAC context (action:2): -5
[  151.773738] iwlwifi 0000:03:00.0: failed to update MAC 7c:7a:91:19:2d:7d
[  151.791328] iwlwifi 0000:03:00.0: Error sending BINDING_CONTEXT_CMD: enqueue_hcmd failed: -5
[  151.791331] iwlwifi 0000:03:00.0: Failed to send binding (action:3): -5
[  151.808944] iwlwifi 0000:03:00.0: Error sending MAC_PM_POWER_TABLE: enqueue_hcmd failed: -5
[  151.809021] cfg80211: Calling CRDA to update world regulatory domain
[  151.814374] cfg80211: World regulatory domain updated:
[  151.814377] cfg80211:  DFS Master region: unset
[  151.814378] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp), (dfs_cac_time)
[  151.814379] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (N/A, 2000 mBm), (N/A)
[  151.814380] cfg80211:   (2457000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm), (N/A)
[  151.814381] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (N/A, 2000 mBm), (N/A)
[  151.814382] cfg80211:   (5170000 KHz - 5250000 KHz @ 160000 KHz), (N/A, 2000 mBm), (N/A)
[  151.814384] cfg80211:   (5250000 KHz - 5330000 KHz @ 160000 KHz), (N/A, 2000 mBm), (0 s)
[  151.814385] cfg80211:   (5490000 KHz - 5730000 KHz @ 160000 KHz), (N/A, 2000 mBm), (0 s)
[  151.814385] cfg80211:   (5735000 KHz - 5835000 KHz @ 80000 KHz), (N/A, 2000 mBm), (N/A)
[  151.814387] cfg80211:   (57240000 KHz - 63720000 KHz @ 2160000 KHz), (N/A, 0 mBm), (N/A)
[  151.814398] cfg80211: Calling CRDA for country: NO
[  151.816294] cfg80211: Regulatory domain changed to country: NO
[  151.816296] cfg80211:  DFS Master region: unset
[  151.816297] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp), (dfs_cac_time)
[  151.816299] cfg80211:   (2400000 KHz - 2483500 KHz @ 40000 KHz), (N/A, 2000 mBm), (N/A)
[  151.816300] cfg80211:   (5150000 KHz - 5250000 KHz @ 80000 KHz), (N/A, 2301 mBm), (N/A)
[  151.816302] cfg80211:   (5250000 KHz - 5350000 KHz @ 80000 KHz), (N/A, 2000 mBm), (0 s)
[  151.816303] cfg80211:   (5470000 KHz - 5795000 KHz @ 80000 KHz), (N/A, 2698 mBm), (0 s)
[  151.816304] cfg80211:   (5815000 KHz - 5850000 KHz @ 35000 KHz), (N/A, 3301 mBm), (0 s)
[  151.816305] cfg80211:   (17100000 KHz - 17300000 KHz @ 200000 KHz), (N/A, 2000 mBm), (N/A)
[  151.816306] cfg80211:   (57240000 KHz - 65880000 KHz @ 2160000 KHz), (N/A, 4000 mBm), (N/A)
[  247.408635] usb 2-7: USB disconnect, device number 6
[  247.694448] usb 2-7: new full-speed USB device number 7 using xhci_hcd
[  247.859874] usb 2-7: New USB device found, idVendor=8087, idProduct=07dc
[  247.859884] usb 2-7: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[  247.874733] Bluetooth: hci0: read Intel version: 370710018002030d00
[  247.874992] Bluetooth: hci0: Intel Bluetooth firmware file: intel/ibt-hw-37.7.10-fw-1.80.2.3.d.bseq
[  248.055573] Bluetooth: hci0: Intel Bluetooth firmware patch completed and activated
[  250.211591] usb 2-7: USB disconnect, device number 7
[  250.522583] usb 2-7: new full-speed USB device number 8 using xhci_hcd
[  250.675755] usb 2-7: device descriptor read/64, error -71
[  250.776823] xhci_hcd 0000:00:14.0: Setup ERROR: setup context command for slot 7.
[  250.776831] usb 2-7: hub failed to enable device, error -22
[  250.929967] usb 2-7: new full-speed USB device number 9 using xhci_hcd
[  251.083236] usb 2-7: device descriptor read/64, error -71
[  251.184261] xhci_hcd 0000:00:14.0: Setup ERROR: setup context command for slot 8.
[  251.184269] usb 2-7: hub failed to enable device, error -22
[  251.337417] usb 2-7: new full-speed USB device number 10 using xhci_hcd
[  251.337604] usb 2-7: Device not responding to setup address.
[  251.538683] usb 2-7: Device not responding to setup address.
[  251.739855] usb 2-7: device not accepting address 10, error -71
[  252.099348] usb 2-7: new full-speed USB device number 12 using xhci_hcd
[  252.264700] usb 2-7: New USB device found, idVendor=8087, idProduct=07dc
[  252.264707] usb 2-7: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[  252.283235] Bluetooth: hci0: read Intel version: 370710018002030d00
[  252.283283] Bluetooth: hci0: Intel Bluetooth firmware file: intel/ibt-hw-37.7.10-fw-1.80.2.3.d.bseq
[  252.457385] Bluetooth: hci0: Intel Bluetooth firmware patch completed and activated

Comment 1 John W. Linville 2014-07-24 17:30:10 UTC
Drivers are part of the kernel...

Comment 2 Emmanuel Grumbach 2014-09-03 16:50:41 UTC
I'd need the output of:

sudo lspci -vvvv -xxxx
after you boot before the bug occurs
and after the bug occurs

you can also try to disable ASPM: force_aspm=off or something like that.

Comment 3 Justin M. Forbes 2014-11-13 15:58:15 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.17.2-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.

Comment 4 Justin M. Forbes 2014-12-10 14:58:41 UTC
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.